Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > ISPConfig 2 > General

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #11  
Old 20th September 2012, 12:11
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,740 Times in 2,575 Posts
Default

The only workaround I know is downgrading Ubuntu.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
Sponsored Links
  #12  
Old 20th September 2012, 12:18
hahni hahni is offline
Member
 
Join Date: Dec 2007
Posts: 67
Thanks: 1
Thanked 1 Time in 1 Post
Question

This is not a good news. I want to try it and it would be nice, if you could help me. In future i will use ISPConfig 3 for all other servers (like done for some ones). But this server must run with ISPConfig 2.

I modified the "/etc/debian_issue" to the 10.04.4 LTS-values to start setup. But the setup crashes with this error:

--
configure: error: Cannot find libmysqlclient under /usr.
Note that the MySQL client library is not bundled anymore!
ERROR: Could not configure PHP
--

On 10.04 the library is here:
--
./usr/lib/libmysqlclient.so.16.0.0
./usr/lib/libmysqlclient_r.so.16
./usr/lib/libmysqlclient.so.16
./usr/lib/libmysqlclient_r.so.16.0.0
--

On 12.04 it seems to be here:
--
./usr/lib/i386-linux-gnu/libmysqlclient.so.18
./usr/lib/i386-linux-gnu/libmysqlclient.so.18.0.0
./usr/lib/i386-linux-gnu/libmysqlclient_r.so
./usr/lib/i386-linux-gnu/libmysqlclient_r.a
./usr/lib/i386-linux-gnu/libmysqlclient.a
./usr/lib/i386-linux-gnu/libmysqlclient_r.so.18
./usr/lib/i386-linux-gnu/libmysqlclient.so
./usr/lib/i386-linux-gnu/libmysqlclient_r.so.18.0.0
./usr/share/doc/libmysqlclient-dev
./usr/share/doc/libmysqlclient18
--

Maybe there must be another symlink?
__________________
björn hahnefeld InformationsTechnologien * Regensburg
.::. Magento - TYPO3 - Webdesign Regensburg .::.

Internet: http://www.hahnefeld.de
E-Mail: bjoern@hahnefeld.de
Reply With Quote
  #13  
Old 28th May 2013, 00:00
wrecked wrecked is offline
Junior Member
 
Join Date: May 2010
Posts: 3
Thanks: 1
Thanked 1 Time in 1 Post
Default work around

Hi, I've run into this also.

I've installed lib16 on ubuntu 12.04.
and isp2 is working for me.

for 32bit version:

Code:
wget http://launchpadlibrarian.net/94563300/libmysqlclient16_5.1.58-1ubuntu5_i386.deb
sudo dpkg -i libmysqlclient16_5.1.58-1ubuntu5_i386.deb
for 64bit version:
Code:
wget http://launchpadlibrarian.net/94808408/libmysqlclient16_5.1.58-1ubuntu5_amd64.deb
sudo dpkg -i libmysqlclient16_5.1.58-1ubuntu5_amd64.deb
Few years ago I've read that isp2 will coexist with isp3, as I did not have any issues with isp2, didn't know that isp2 is EOL.

it's a terrible place to be in.
Reply With Quote
The Following User Says Thank You to wrecked For This Useful Post:
hahni (15th September 2013)
  #14  
Old 29th May 2013, 00:28
hahni hahni is offline
Member
 
Join Date: Dec 2007
Posts: 67
Thanks: 1
Thanked 1 Time in 1 Post
Question

I have same opinion like you! Long time there was on homepage a hint, that both systems will be developed in future. Some time ago ISPConfig 2 was removed from homepage and now there is no help and support for users with ISPConfig 2. Its not ok. There is also no migration-tool for ISPConfig 3...

With your trick you got ISPConfig 2 working on a 12.04 LTS-machine?
__________________
björn hahnefeld InformationsTechnologien * Regensburg
.::. Magento - TYPO3 - Webdesign Regensburg .::.

Internet: http://www.hahnefeld.de
E-Mail: bjoern@hahnefeld.de
Reply With Quote
The Following User Says Thank You to hahni For This Useful Post:
Williamsl (10th July 2014)
  #15  
Old 2nd June 2013, 10:07
wrecked wrecked is offline
Junior Member
 
Join Date: May 2010
Posts: 3
Thanks: 1
Thanked 1 Time in 1 Post
Default

yes, working on 12.04 lts
Reply With Quote
  #16  
Old 2nd June 2013, 12:07
hahni hahni is offline
Member
 
Join Date: Dec 2007
Posts: 67
Thanks: 1
Thanked 1 Time in 1 Post
Question

Very great! And compiling Apache 1.3 from ISPConfig 2 setup is also no problem? Till and Falco told me, that this would be problem on Ubuntu 12.04 LTS...
__________________
björn hahnefeld InformationsTechnologien * Regensburg
.::. Magento - TYPO3 - Webdesign Regensburg .::.

Internet: http://www.hahnefeld.de
E-Mail: bjoern@hahnefeld.de
Reply With Quote
  #17  
Old 18th June 2013, 14:32
trondhuso trondhuso is offline
Junior Member
 
Join Date: Mar 2010
Location: Mysen, Norway
Posts: 24
Thanks: 1
Thanked 3 Times in 2 Posts
Default "Upgrade"

It would be nice if someone who has moved from ISP2 to ISP3 can tell how they did this.

I currently have a isp2 on a ubuntu804 that i'd love to upgrade/move to isp3 and ubuntu12.04+ (+ meaning upgrading without problems to latest LTS).

I don't have many websites running on the isp2, but some... And one having close to 8gb of e-mails...

best
t
Reply With Quote
  #18  
Old 18th June 2013, 14:51
hahni hahni is offline
Member
 
Join Date: Dec 2007
Posts: 67
Thanks: 1
Thanked 1 Time in 1 Post
Question

There is no import-tool for ISPConfig 3. Why you are not using 10.04 LTS like me with ISPConfig 2? It works fine! And with workaround above you can use it with 12.04 LTS too!
__________________
björn hahnefeld InformationsTechnologien * Regensburg
.::. Magento - TYPO3 - Webdesign Regensburg .::.

Internet: http://www.hahnefeld.de
E-Mail: bjoern@hahnefeld.de
Reply With Quote
  #19  
Old 15th September 2013, 21:04
hahni hahni is offline
Member
 
Join Date: Dec 2007
Posts: 67
Thanks: 1
Thanked 1 Time in 1 Post
 
Question

Quote:
Originally Posted by wrecked View Post
Hi, I've run into this also.

I've installed lib16 on ubuntu 12.04.
and isp2 is working for me.

for 32bit version:

Code:
wget http://launchpadlibrarian.net/94563300/libmysqlclient16_5.1.58-1ubuntu5_i386.deb
sudo dpkg -i libmysqlclient16_5.1.58-1ubuntu5_i386.deb
for 64bit version:
Code:
wget http://launchpadlibrarian.net/94808408/libmysqlclient16_5.1.58-1ubuntu5_amd64.deb
sudo dpkg -i libmysqlclient16_5.1.58-1ubuntu5_amd64.deb
Few years ago I've read that isp2 will coexist with isp3, as I did not have any issues with isp2, didn't know that isp2 is EOL.

it's a terrible place to be in.
After your steps I always get this error:
--
<=== src/modules/ssl
<=== src/modules
gcc -c -I./os/unix -I./include -DLINUX=22 -DHAVE_SET_DUMPABLE -DMOD_SSL=208131 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT -I./lib/expat-lite `./apaci` modules.c
gcc -c -I./os/unix -I./include -DLINUX=22 -DHAVE_SET_DUMPABLE -DMOD_SSL=208131 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT -I./lib/expat-lite `./apaci` buildmark.c
gcc -DLINUX=22 -DHAVE_SET_DUMPABLE -DMOD_SSL=208131 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT -I./lib/expat-lite `./apaci` -L/root/ispconfig/openssl/lib -rdynamic \
-o httpd buildmark.o modules.o modules/standard/libstandard.a modules/ssl/libssl.a main/libmain.a ./os/unix/libos.a ap/libap.a regex/libregex.a lib/expat-lite/libexpat.a -lm -lcrypt -lssl -lcrypto -ldl
make[2]: Leaving directory `/tmp/install_ispconfig/compile_aps/apache_1.3.41/src'
make[1]: Leaving directory `/tmp/install_ispconfig/compile_aps/apache_1.3.41'
make[1]: Entering directory `/tmp/install_ispconfig/compile_aps/apache_1.3.41'
===> src/support
make[2]: Entering directory `/tmp/install_ispconfig/compile_aps/apache_1.3.41/src/support'
gcc -c -I../os/unix -I../include -DLINUX=22 -DHAVE_SET_DUMPABLE -DMOD_SSL=208131 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT -I../lib/expat-lite `../apaci` htpasswd.c
htpasswd.c:101:12: error: conflicting types for 'getline'
/usr/include/stdio.h:675:20: note: previous declaration of 'getline' was here
make[2]: *** [htpasswd.o] Error 1
make[2]: Leaving directory `/tmp/install_ispconfig/compile_aps/apache_1.3.41/src/support'
make[1]: *** [build-support] Error 1
make[1]: Leaving directory `/tmp/install_ispconfig/compile_aps/apache_1.3.41'
make: *** [build] Error 2
ERROR: Could not make Apache
--
__________________
björn hahnefeld InformationsTechnologien * Regensburg
.::. Magento - TYPO3 - Webdesign Regensburg .::.

Internet: http://www.hahnefeld.de
E-Mail: bjoern@hahnefeld.de
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Email login not working - ISPConfig 3 + Ubuntu 10.04 perfect server AklBlue Installation/Configuration 8 20th May 2012 03:26
Ftp problems timeout reny2000 General 6 23rd December 2009 11:09
upgraded Ubuntu 8.10 to Ubuntu 9.04, mail receiving problem. jtt General 1 10th May 2009 21:51
Unbale to login to Postfix from webmail wasimriz HOWTO-Related Questions 5 6th April 2009 13:49
ISP-Ubuntu breezy ispconfig dns email e-mail working finally yellowjelly HOWTO-Related Questions 0 19th November 2005 20:30


All times are GMT +2. The time now is 21:10.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.